# gerrit show-caches

version 2.4.2-11-gb5a28fb

## NAME

gerrit show-caches - Display current cache statistics

## SYNOPSIS

    ssh -p <port> <host> gerrit show-caches [--gc] [--show-jvm]

## DESCRIPTION

Display statistics about the size and hit ratio of in-memory caches.

## OPTIONS

--gc

  Request Java garbage collection before displaying information about the Java memory heap.

--show-jvm

  List the name and version of the Java virtual machine, host operating system, and other details about the environment that Gerrit Code Review is running in.

## ACCESS

Caller must be a member of the privileged Administrators group, or have been granted the View Caches global capability.

## SCRIPTING

Intended for interactive use only.

## EXAMPLES

    $ ssh -p 29418 review.example.com gerrit show-caches
    Gerrit Code Review        2.2.2                     now    10:03:34   PDT
                                                     uptime     1 min 39 sec

      Name               Max |Object Count        |  AvgGet  |Hit Ratio     |
                         Age |  Disk    Mem    Cnt|          |Disk Mem  Agg |
    -------------------------+--------------------+----------+--------------+
      accounts           90d |                   1|          |           95%|
      accounts_byemail   90d |                    |          |              |
      accounts_byname    90d |                   1|          |              |
      adv_bases          10m |                    |          |              |
    D diff               90d |     8             8|          |              |
    D diff_intraline     90d |     1             1|          |              |
      groups             90d |                  19|          |            0%|
      groups_byext       90d |                    |          |              |
      groups_byinclude   90d |                  21|          |           80%|
      groups_byname      90d |                    |          |              |
      groups_byuuid      90d |                    |          |              |
      project_list       90d |                    |          |              |
      projects           90d |                   1|          |           80%|
      sshkeys            90d |                   1|          |           90%|
    D web_sessions       12h |                    |          |              |

    SSH:      1  users, oldest session started 782 ms ago
    Tasks:    2  total =    1 running +      0 ready +    1 sleeping
    Mem:  46.13m total =  16.17m used +  29.96m free +   0.00k buffers
         246.56m max
               0 open files,        6 cpus available,       23 threads

## SEE ALSO

- gerrit flush-caches

- Cache Configuration

- Standard Caches

Part of Gerrit Code Review